Name:           xblast
Version:        2.10.4
Release:        9%{?dist}
Summary:        Lay bombs and Blast the other players of the field (SDL version)
Group:          Amusements/Games
License:        GPLv2+
URL:            http://xblast.sourceforge.net
Source0:        http://downloads.sourceforge.net/xblast/xblast-%{version}.tar.gz
Source1:        xblast.png
Source2:        xblast.desktop
Source3:        xblast.sh
Patch0:         xblast-2.10.4-sdl-fixes.patch
Patch1:         xblast-2.10.4-manpage.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libXt-devel gettext gawk desktop-file-utils SDL_gfx-devel
BuildRequires:  SDL_image-devel SDL_ttf-devel SDL_mixer-devel SDL_net-devel
Requires:       %{name}-data >= 2.10.0, %{name}-common = %{version}-%{release}
Requires:       /usr/share/fonts/dejavu/DejaVuSans.ttf
Provides:       %{name}-engine = %{version}-%{release}

%description
This is the new SDL version of XBlast, a multiplayer game where the "purpose"
is to Blast the other players of the gamefield by laying bombs close to them.
While at the same time you must avoid being blown up yourself.


%package x11
Summary:        Lay bombs and Blast the other players of the field (X11 version)
Group:          Amusements/Games
Requires:       %{name}-data >= 2.10.0, %{name}-common = %{version}-%{release}
Requires:       xorg-x11-fonts-ISO8859-1-75dpi
Provides:       %{name}-engine = %{version}-%{release}

%description x11
This is the original X11 version of XBlast, a multiplayer game where the
"purpose" is to Blast the other players of the gamefield by laying bombs close
to them. While at the same time you must avoid being blown up yourself.


%package common
Summary:        Files common to both the X11 and SDL version of XBlast
Group:          Amusements/Games
Requires:       %{name}-engine = %{version}-%{release}, hicolor-icon-theme

%description common
Files common to both the X11 and SDL version of XBlast, a multiplayer game
where the "purpose" is to Blast the other players of the gamefield by laying
bombs close to the other player.


%prep
%setup -q
%patch0 -p1 -z .sdl
%patch1 -p1 -z .man
sed -i 's|$(game_datadir)/locale|%{_datadir}/locale|g' Makefile.in

# stop rpmlint from complaining about executable source files in the -debuginfo
chmod -x chat.* version.c
# stop autoxxx from rerunning because of strange timestamps in the tarbal
touch aclocal.m4 configure Makefile.in config.h.in


%build
# first build the SDL version
%configure --with-otherdatadir=%{_datadir}/%{name} --enable-admin --enable-sdl
make %{?_smp_mflags}
mv xblast xblast-sdl

# and then the X11 version
make distclean
%configure --with-otherdatadir=%{_datadir}/%{name} --enable-admin --enable-sound
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install localedir=%{_datadir}/locale DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}-x11
install -m 755 xblast-sdl $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -m 644 %{name}.man $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post common
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun common
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}-sdl

%files x11
%defattr(-,root,root,-)
%{_bindir}/%{name}-x11
%{_bindir}/xbsndsrv

%files -f %{name}.lang common
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README NEWS
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6.gz
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Hans de Goede <hdegoede@redhat.com> 2.10.4-6
- Replace bitstream-vera with dejave font (rh 473563)

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.10.4-5
- Autorebuild for GCC 4.3

* Wed Aug 15 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10.4-4
- Update License tag for new Licensing Guidelines compliance

* Tue Jun 19 2007 Matthias Saou <http://freshrpms.net/> 2.10.4-3
- Rebuild against SDL_gfx 2.0.16.

* Thu Mar  1 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10.4-2
- Use sf.net sourceforge URL from the Guidelines (bz 229476)
- Keep timestamp while installing the wrapper (bz 229476)
- Sanitize and install the manpage (bz 229476)
- Add "Requires: xorg-x11-fonts-ISO8859-1-75dpi" to xblast-x11 (bz 229476)
- Make xblast look for translations under /usr/share/locale (bz 229476)

* Thu Feb  8 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.10.4-1
- Initial Fedora Extras package
